Wednesday, February 20, 2008

WBT-201 & Debian/Ubuntu

As I liked the idea of geo tagging my pictures I decided to buy Wintec's WBT-201 GPS logger. It's a neat little device and fits into every pocket - so no problem carrying it with you all the time. Of course it comes with some software to export the geo data and tagging your pictures with it. And of course it's Windows only (and maybe MacOS, but not sure about this). The good news is, the WBT-201 works with linux, too. By the time of writing I'm running sidux for amd64, which is kind of Debian Sid, and Ubuntu Gutsy for i386 on my laptop.

We basically need three apps installed:
  • gpsbabel <= 1.3.4
  • gpscorrelate(-gui)
  • gtk-g-rays2

Unfortunately Debian/Ubuntu only comes with a suitable version of gpscorrelate, for gpsbabel and gtk-g-rays2 we need to do some manual interaction. But now for the details! (Please bare in mind I've done this with sidux and Ubuntu Gutsy, but the below may vary if you're running another Debian based distro.)

gpsbabel

We need at least gpsbabel 1.3.4 (Ubuntu comes with 1.3.3, Debian Sid in the meantime has updated to 1.3.4, but only after I made my own package ;-) ). So what I did is making an updated deb package of gpgsbabel. I found a good howto on making updated versions of packages in a recent issue of "Linux User" and this is how it worked:

Download the current source tar.gz of gpsbabel from here (by the time of writing: gpsbabel-.1.3.4.tar.gz). Then make sure all dependencies are met (if you're root, you may of course omit "sudo")...
sudo apt-get build-dep gpsbabel

...and those packages are installed, too:
  • build-essential
  • dpkg-dev
  • fakeroot
  • devscripts
Also make sure there is a repository for source packages (deb-src) activated in /etc/apt/sources.list. Now create a temporary directory and change to it. You do not need root privileges for the following steps!
mkdir /tmp/gpsbabel
cd /tmp/gpsbabel

apt-get source gpsbabel (you may receive some errors concerning gpg keys - seems to be normal...)

cd gpsbabel-1.3.3 
uupdate -u /path/to/downloaded/gpsbabel-1.3.4.tar.gz 
cd ../gpsbabel-1.3.4 
dpkg-buildpackage -rfakeroot 
cd ..

The new deb package should now be located in your temporary directory ready for installation:
sudo dpkg -i gpsbabel_1.3.4-1_i386.deb (or gpsbabel_1.3.4-1_amd64.deb)

If you want to make sure the downloaded source packages are OK, you may check md5sums. Just run
md5sum <package>

and compare the output to the md5sums listed at http://packages.ubuntu.com/ or http://www.debian.org/distrib/packages

OK, that should have taken care of gpsbabel! If you don't want to make the package yourself and trust my work, you may download it from here:

gpsbabel_1.3.4-1_i386.deb (md5sum: 0d849e14a07ed0f0852a6e3ad96e24b2) - Compiled on Ubuntu Gutsy i386

gpsbabel_1.3.4-1_amd64.deb (md5sum: c73920976d2a95da0630b9c24a021787) - Compiled on sidux am64

gtk-g-rays2

gtk-g-rays2 is an application for managing your WBT-201. If you have set a password with the Windows software before, remove it because otherwise gtk-g-rays2 won't work. As neither Debian nor Ubuntu have a packaged version of gtk-g-rays2 it wouldn't be as easy as with gpsbabel to make a package of our own. So I just compiled it from source. Anyway, it can't interfere with a Debian/Ubuntu package! ;-)

Get the source from here (by the time of writing gtk-g-rays2-1.06.tar.bz2), then install some dev packages:
sudo apt-get install libgtk2.0-dev libglade2-dev

Those where the packages I had to install, but this may vary from your setup. If you receive any errors during "./configure" please install the corresponding dev packages and rerun the configure script.

Now unpack the source and start compiling it:
tar xvf gtk-g-rays2-1.06.tar.bz2
cd gtk-g-rays2-1.06

./configure

make

sudo make install

Just two quick screenshots of this app:



This will install everything to /usr/local/. You may now run the application by simply typing gtk-g-rays2. There will also be an entry in your K-Menu, but if you followed instructions so far, it points to the wrong directory and you'll have to change it to /usr/local/bin/gtk-g-rays2.

gpscorrelate

Installing gpscorrelate is pretty easy:
sudo apt-get install gpscorrelate gpscorrelate-gui

To run it just type gpscorrelate-gui. However, I couldn't find an entry to it in K-Menu, so I created one myself. This is how GPS Correlate looks:


Now everything is installed!

I didn't have the time to play around with all of this properly, but downloading the latest track from your WBT-201 should be no problem with gtk-g-rays2. If you like to use gpsbabel via command line this (in German only) could be of help.

No comments:

Post a Comment